Bug 245083 - openssl crashes on pkcs12 file
Summary: openssl crashes on pkcs12 file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssl (Show other bugs)
(Show other bugs)
Version: 4.5
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-20 22:13 UTC by giang nguyen
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version: RHSA-2007-1003
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 14:58:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this file will crash "openssl pkcs12 -in" (3.18 KB, application/octet-stream)
2007-06-20 22:13 UTC, giang nguyen
no flags Details
another crash file (3.18 KB, application/octet-stream)
2007-08-21 21:08 UTC, giang nguyen
no flags Details
another crash file (2.54 KB, application/octet-stream)
2007-08-21 21:08 UTC, giang nguyen
no flags Details
another crash file (2.59 KB, application/octet-stream)
2007-08-21 21:08 UTC, giang nguyen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:1003 normal SHIPPED_LIVE Moderate: openssl security and bug fix update 2007-11-15 14:58:46 UTC

Description giang nguyen 2007-06-20 22:13:14 UTC
Description of problem:
openssl crashes on a corrupt pkcs12 file.

Version-Release number of selected component (if applicable):
arch [swig-1.3.31]$ rpm -q openssl
openssl-0.9.7a-43.14

How reproducible:
always

Steps to Reproduce:
1. download the attachment "crash.pkcs12"
2. run "openssl pkcs12 -in crash.pkcs12"
3. when prompted for password, specify anything

Actual results:
see "Segmentation fault"

Expected results:


Additional info:

Comment 1 giang nguyen 2007-06-20 22:13:14 UTC
Created attachment 157503 [details]
this file will crash "openssl pkcs12 -in"

Comment 2 giang nguyen 2007-06-20 22:23:42 UTC
openssl 0.9.7h is the earliest that doesn not crash with this bug.

Comment 6 RHEL Product and Program Management 2007-07-25 13:18:11 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 giang nguyen 2007-08-21 21:08:15 UTC
Created attachment 162011 [details]
another crash file

another pkcs12 file that crashes 'openssl pkcs12 -in'

Comment 11 giang nguyen 2007-08-21 21:08:40 UTC
Created attachment 162012 [details]
another crash file

another pkcs12 file that crashes 'openssl pkcs12 -in'

Comment 12 giang nguyen 2007-08-21 21:08:52 UTC
Created attachment 162013 [details]
another crash file

another pkcs12 file that crashes 'openssl pkcs12 -in'

Comment 13 giang nguyen 2007-08-21 21:10:10 UTC
my app links with openssl lib and will crash when trying to import these files.

Comment 14 errata-xmlrpc 2007-11-15 14:58:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-1003.html



Note You need to log in before you can comment on or make changes to this bug.